Package: org.codehaus.groovy.classgen.asm

## [Java] Class MethodPointerExpressionWriter

- org.codehaus.groovy.classgen.asm.MethodPointerExpressionWriter

-     public class MethodPointerExpressionWriter
      extends Object

  Generates bytecode for method pointer expressions.

  Since:
    3.0.0

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected WriterController` | `controller` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `MethodPointerExpressionWriter(WriterController controller)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `writeMethodPointerExpression(MethodPointerExpression pointerOrReference)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### protected final WriterController controller

  - ### Constructor Detail

    - #### public MethodPointerExpressionWriter(WriterController controller)

  - ### Method Detail

    - #### public void writeMethodPointerExpression(MethodPointerExpression pointerOrReference)